#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <algorithm>
#include <cmath>
#include <string>
#include <bits/stdc++.h>
#include <strstream>
#include <queue>

#define USE_MATH_DEFINES

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k, x, i, l;
    cin>>n>>k>>x;
    int*a=new int [n];
    if (k==3) {
        if ((n<=2)||((n>4)&&(x<=1))) {
            cout<<-1;
            return 0;
        }
        else if (n==3) {
            l=1;
            for (i=1; i<=n; i++) {
                cout<<l<<" ";
                l=l+x;
            }
        }
        else if (x>k) {
            for (i=1; i<=k; i++) {
                cout<<i<<" ";
            }
            l=k+x;
            for (i=k+1; i<=n-1; i++) {
                cout<<x<<" ";
            }
            cout<<l;
        }
        else {
            for (i=1; i<=3; i++) {
                cout<<1<<" ";
            }
            cout<<x+1<<" ";
            for (i=5; i<=n; i++) {
                cout<<x;
                if (i<n) {
                    cout<<" ";
                }
            }
        }
    }
    delete []a;
    return 0;
}